#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int rup(int a, float v)
{
    float f = a/v;
    printf("F: %f\n", f);
    int i = a/v;
    if(f > i)
    {
        printf("I: %d\n", i+1);
        return i+1;
    }
    else
    {
        printf("I: %d\n", i);
        return i;
    }
}

int main()
{
    int p,q,r,L,R;
    int end = 0;
    scanf("%d %d %d %d %d", &p, &q, &r, &L, &R);
    for(int i = L; i<=R; i++)
    {
        int sum = rup(i,p) + rup(i,q) + rup(i,r);
        printf("SUM: %d\n", sum);
        if(sum <= i)
        {
            end++;
        }
    }
    printf("%d", end);

    return 0;
}